summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Jostein Berntsen2013-10-27 22:49:44 +0100
committer Matteo Bernardini2013-10-27 22:49:44 +0100
commit0e9f452fe74418818ea7d1e6d87430321211caa3 (patch)
tree79792ec4bbd1960dd4ba0b1bc880df6fe0cbcc6b /audio
parent61b6dea66c15dfb4534e8ad2cffbb29516f8e4d3 (diff)
downloadslackbuilds-0e9f452fe74418818ea7d1e6d87430321211caa3.tar.gz
audio/vimpc: Added (mpd console client).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/vimpc/README5
-rw-r--r--audio/vimpc/slack-desc19
-rw-r--r--audio/vimpc/vimpc.SlackBuild83
-rw-r--r--audio/vimpc/vimpc.info10
4 files changed, 117 insertions, 0 deletions
diff --git a/audio/vimpc/README b/audio/vimpc/README
new file mode 100644
index 0000000000..529047ca43
--- /dev/null
+++ b/audio/vimpc/README
@@ -0,0 +1,5 @@
+vimpc is an ncurses based mpd client with vi like key bindings.
+
+It provides an alternative to other mpd clients (such as ncmpc and
+ncmpcpp) and tries to provide an interface similar to that of the vim
+text editor.
diff --git a/audio/vimpc/slack-desc b/audio/vimpc/slack-desc
new file mode 100644
index 0000000000..a03a0c6fc0
--- /dev/null
+++ b/audio/vimpc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vimpc: vimpc (mpd console client)
+vimpc:
+vimpc: vimpc provides an alternative to other mpd clients (such as ncmpc
+vimpc: and ncmpcpp) and tries to provide an interface similar to that of
+vimpc: the vim text editor.
+vimpc:
+vimpc: homepage: http://sourceforge.net/projects/vimpc/
+vimpc:
+vimpc:
+vimpc:
+vimpc:
diff --git a/audio/vimpc/vimpc.SlackBuild b/audio/vimpc/vimpc.SlackBuild
new file mode 100644
index 0000000000..c430858add
--- /dev/null
+++ b/audio/vimpc/vimpc.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for vimpc
+
+# Written by Jostein Berntsen <jbernts@broadpark.no>
+
+PRGNAM=vimpc
+VERSION=${VERSION:-0.08.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/vimpc/vimpc.info b/audio/vimpc/vimpc.info
new file mode 100644
index 0000000000..a0f470c1aa
--- /dev/null
+++ b/audio/vimpc/vimpc.info
@@ -0,0 +1,10 @@
+PRGNAM="vimpc"
+VERSION="0.08.1"
+HOMEPAGE="http://sourceforge.net/projects/vimpc/"
+DOWNLOAD="http://downloads.sourceforge.net/vimpc/vimpc-0.08.1.tar.gz"
+MD5SUM="c4e1c26364435fd89d735f60caf10cc0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libmpdclient"
+MAINTAINER="Jostein Berntsen"
+EMAIL="jbernts@broadpark.no"